> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# comparison-model の出力を確保する

> 不足している検証出力のみをキューに登録し、一致するキャッシュ済みの生成結果を再利用します。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml POST /tasks/{alias}/datasets/{datasetId}/comparison-outputs
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/{alias}/datasets/{datasetId}/comparison-outputs:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetId'
    post:
      tags:
        - Datasets
      summary: 比較モデルの出力を確実に生成
      description: 不足している検証出力のみをキューに登録し、一致するキャッシュ済みの生成結果を再利用します。
      operationId: ensureComparisonOutputs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                outputs:
                  maxItems: 64
                  type: array
                  items:
                    type: object
                    properties:
                      output_key:
                        type: string
                        minLength: 1
                        maxLength: 600
                      model_ref:
                        type: string
                        pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                    required:
                      - output_key
                      - model_ref
                    additionalProperties: false
              required:
                - outputs
              additionalProperties: false
      responses:
        '202':
          description: 出力生成の状態。
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetOutputGeneration'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatasetOutputGeneration:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
          format: uuid
        output_key:
          type: string
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
        output_count:
          type: integer
        total_count:
          type: integer
        error:
          type:
            - string
            - 'null'
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````